package com.jeeplus.test.reimbursementAccountant.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.aop.logging.annotation.ApiLog;
import com.jeeplus.test.reimbursementAccountant.domain.dto.AccountantReimbursementBusinessTwoDTO;
import com.jeeplus.test.reimbursementAccountant.service.AccountantReimbursementBusinessTwoService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/accountant/reimbursementBusinessTwo")
public class AccountantReimbursementBusinessTwoController {

    @Autowired
    private AccountantReimbursementBusinessTwoService accountantReimbursementBusinessTwoService;

    @ApiLog("查询五票报销列表")
    @RequestMapping("findListPage")
    public ResponseEntity findListPage(AccountantReimbursementBusinessTwoDTO accountantReimbursementBusinessTwoDTO,Page<AccountantReimbursementBusinessTwoDTO> page){
        IPage<AccountantReimbursementBusinessTwoDTO> listPage = accountantReimbursementBusinessTwoService.findListPage(page, accountantReimbursementBusinessTwoDTO);
        return ResponseEntity.ok(listPage);
    }

    @ApiLog("根据id物理删除")
    @RequestMapping("delById/{id}")
    public ResponseEntity delById(@PathVariable("id")String id){
        accountantReimbursementBusinessTwoService.delPhysicsById(id);
        return ResponseEntity.ok("删除成功！");
    }

    @ApiLog("新增")
    @RequestMapping("addData")
    public ResponseEntity addData(@RequestBody AccountantReimbursementBusinessTwoDTO accountantReimbursementBusinessTwoDTO){
        accountantReimbursementBusinessTwoService.addData(accountantReimbursementBusinessTwoDTO);
        return ResponseEntity.ok("添加成功");
    }
}
